AttrImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.opti.AttrImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class AttrImpl

    java.lang.Object
      org.apache.xerces.impl.xs.opti.DefaultNode
          org.apache.xerces.impl.xs.opti.NodeImpl
              org.apache.xerces.impl.xs.opti.AttrImpl

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.Node

    public class AttrImpl

extends NodeImpl
implements org.w3c.dom.Attr

This class represents a single attribute.

Version:
  $Id: AttrImpl.java 982713 2010-08-05 17:54:01Z mrglavas $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AttrImpl()` Default Constructor
`AttrImpl(org.w3c.dom.Element element, java.lang.String prefix, java.lang.String localpart, java.lang.String rawname, java.lang.String uri, java.lang.String value)` Constructs an attribute.

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getNodeValue()`
`org.w3c.dom.Document` | `getOwnerDocument()`
`org.w3c.dom.Element` | `getOwnerElement()`
`org.w3c.dom.TypeInfo` | `getSchemaTypeInfo()` Method getSchemaTypeInfo.
`boolean` | `getSpecified()`
`java.lang.String` | `getValue()`
`boolean` | `isId()`
`void` | `setValue(java.lang.String value)`
`java.lang.String` | `toString()` NON-DOM method for debugging convenience

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### AttrImpl

    public AttrImpl()

  Default Constructor

### AttrImpl

    public AttrImpl(org.w3c.dom.Element element,
                    java.lang.String prefix,
                    java.lang.String localpart,
                    java.lang.String rawname,
                    java.lang.String uri,
                    java.lang.String value)

  Constructs an attribute.

  Parameters:
    `element` - Element which owns this attribute
    `prefix` - The QName prefix.
    `localpart` - The QName localpart.
    `rawname` - The QName rawname.
    `uri` - The uri binding for the associated prefix.
    `value` - The value of the attribute.

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`

### getSpecified

    public boolean getSpecified()

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `DefaultNode`

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`
  Overrides:
    `getOwnerDocument` in class `DefaultNode`

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Throws:
    `org.w3c.dom.DOMException`

### isId

    public boolean isId()

  Specified by:
    `isId` in interface `org.w3c.dom.Attr`
  Since:
    DOM Level 3

### getSchemaTypeInfo

    public org.w3c.dom.TypeInfo getSchemaTypeInfo()

  Method getSchemaTypeInfo.

  Specified by:
    `getSchemaTypeInfo` in interface `org.w3c.dom.Attr`
  Returns:
    TypeInfo

### toString

    public java.lang.String toString()

  NON-DOM method for debugging convenience

  Overrides:
    `toString` in class `NodeImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.